% This file processes the qPCR method testing data
% Import files MatlabInputData and MatlabInputData2 for the analysis
% 12/02/2022
close all;

% Oneway Anova extraction method effects on DNA yield
[~,~,Yield_stats] = anovan(MatlabInputData.DNA(1:9),{MatlabInputData.DNAExtraction(1:9)},'varnames',{'DNAExtractionMethod'});
% Twoway Anova extraction method and PCR machine effects on 16S rRNA genes
[~,~,S_stats] = anovan(MatlabInputData.S,{MatlabInputData.DNAExtraction MatlabInputData.qPCR},'model','interaction','varnames',{'DNAExtractionMethod','PCRMachine'});
% Twoway Anova extraction method and PCR machine effects on rodA genes
[~,~,rodA_stats] = anovan(MatlabInputData.rodA,{MatlabInputData.DNAExtraction MatlabInputData.qPCR},'model','interaction','varnames',{'DNAExtractionMethod','PCRMachine'});

% Pairwise comparisons
Yield_pairwise = multcompare(Yield_stats);
figure;
S_pairwise = multcompare(S_stats,'Dimension',[1,2]);
figure;
rodA_pairwise = multcompare(rodA_stats,'Dimension',[1,2]);

% Oneway Anova location effects on 16S rRNA genes
[~,~,SField_stats] = anovan(MatlabInputData2.S16,{MatlabInputData2.Location},'varnames',{'Location'});
% Oneway Anova location effects on HF183 genes
[~,~,HF183Field_stats] = anovan(MatlabInputData2.HF183,{MatlabInputData2.Location},'varnames',{'Location'});
% Oneway Anova location effects on 16S rRNA genes
[~,~,FCField_stats] = anovan(MatlabInputData2.FC,{MatlabInputData2.Location},'varnames',{'Location'});

% Pairwise comparisons
figure;
SField_pairwise = multcompare(SField_stats);
figure;
HF183Field_pairwise = multcompare(HF183Field_stats);
figure;
FC_pairwise = multcompare(FCField_stats);
